html
  overflow-x: hidden
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale

html, body, input, textarea, keygen, select, button, code
  font-size: $basesize
  font-weight: 300

body, button, input, select, textarea
  font-family: $font-primary

body
  font-weight: 300
  line-height: 1.4
  color: $c-black

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6
  font-weight: 400
  font-family: $font-secondary

h1, h2
  line-height: 1

h3, h4
  line-height: 1.2

h5, h6
  line-height: 1.4

h1
  margin-bottom: 0.2em
  margin-top: 0.2em

h2, h3, h4, h5, h6
  margin-top: 1em
  margin-bottom: 0.2em

strong
  font-weight: 400

h1, .h1
  font-size: $size-1
  text-transform: uppercase
h2, .h2
  font-size: $size-4
h3, .h3
  font-size: $size-5
h4, .h4
  font-size: $size-6
h5, h6, .h5, .h6
  font-size: $size-7

// Inline
li + li
  margin-top: 0.25em
// Block
p,
ol,
ul,
blockquote,
table
  margin-bottom: 1em
  + img
    margin-top: 1em

blockquote
  background-color: $background
  border-left: 5px solid $border
  padding: 1.25em 1.5em

ol
  list-style: decimal outside
  margin-left: 1.5em
  margin-right: 0
  margin-top: 0
ul
  list-style: disc outside
  margin-left: 1.5em
  margin-right: 0
  margin-top: 0
  ul
    list-style-type: circle
    margin-top: 0.5em
    ul
      list-style-type: square

table
  width: 100%
  td,
  th
    border: 1px solid $border
    border-width: 0 0 1px
    padding: 0.5em 0.75em
    vertical-align: top
  th
    color: $text-strong
    text-align: left
  tr
    &:hover
      background-color: $background
  thead
    td,
    th
      border-width: 0 0 2px
      color: $text-strong
  tfoot
    td,
    th
      border-width: 2px 0 0
      color: $text-strong
  tbody
    tr
      &:last-child
        td,
        th
          border-bottom-width: 0

.is-dark
  &, p, h1, h2, h3, h4, h5, h6, a, table, tr, td, ul, li, ol, dd, dt, code, pre
    color: $c-white
  &, a, button, .button
    &:hover
      color: $c-white

.is-light
  &, p, h1, h2, h3, h4, h5, h6, a, table, tr, td, ul, li, ol, dd, dt, code, pre
    color: $c-black

main
  p
    a
      text-decoration: underline

.uppercase
  text-transform: uppercase

.lowercase
  text-transform: lowercase

.capitalize
  text-transform: capitalize


@each $name, $color in $font-colours
  .c-#{$name}
    color: $color

@for $i from 1 through 8
  .ls-#{$i}
    letter-spacing: $i * 0.1em

@each $size in $sizes
  $i: index($sizes, $size)
  .fs-#{$i}
    font-size: $size
    +mobile
      font-size: $size * 0.8

+mobile
  .has-text-centered-mobile
    text-align: center
  .has-text-right-mobile
    text-align: right
  .has-text-left-mobile
    text-align: left
